@extends('admin.layouts.app')

@section('content')
    <div class="row">
        <div class="col-sm-12">
            <div class="ibox float-e-margins">
                <div class="ibox-title">
                    <h5>通话列表</h5>
                    <div class="ibox-tools">
                        <a class="collapse-link"> <i class="fa fa-chevron-up"></i>
                        </a>
                    </div>
                </div>
                <div class="ibox-content">
                    <div class="form-group">
                        <div class="row">
                            <div class="col-sm-4">
                                <form method="GET" action="" accept-charset="UTF-8">
                                    <div class="input-group">
                                        <input type="text" class="form-control" value="{{Request::get('keyword')}}"
                                               placeholder="请输入关键词"
                                               name="keyword">
                                        <span class="input-group-append">
                                                <button type="submit" class="btn btn-primary"
                                                        style="height: 100%">搜索</button>
                                            </span>
                                    </div>
                                </form>
                            </div>

                            @if(role('Call/List/create'))
                                <div class="col-sm-8 pull-right">
                                    <a href="{{ U('Call/List/create')}}" class="btn btn-primary pull-right">添加</a>
                                </div>
                            @endif
                        </div>
                    </div>

                    <table class="table table-striped table-bordered table-hover dataTables-example dataTable">
                        <thead>
                        <tr>

                            <th class="sorting" data-sort="id"> ID</th>
                            <th class="sorting" data-sort="phone"> 电话号码</th>
                            <th class="sorting" data-sort="ip"> 拨打IP</th>
                            <th class="sorting" data-sort="sync"> 是否拨打：</th>
                            <th class="sorting" data-sort="created_at"> 添加时间</th>
                            <th class="sorting" data-sort="updated_at"> 更新时间</th>
                            <th width="22%">相关操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        @if(isset($list))
                            @foreach($list as $key => $item)
                                <tr>

                                    <td>{{ $item->id }}</td>
                                    <td>{{ $item->phone }}</td>
                                    <td>{{ $item->ip }}</td>
                                    <td>{{ dict()->get('call_list','sync',$item->sync) }}</td>
                                    <td>{{ $item->created_at }}</td>
                                    <td>{{ $item->updated_at }}</td>
                                    <td>
                                        @if(role('Call/List/destroy'))
                                            <a class="btn btn-sm btn-danger"
                                               href="{{ U('Call/List/destroy',['id'=>$item->id])}}"
                                               onclick="return confirm('你确定执行删除操作？');">删除</a>
                                        @endif
                                    </td>
                                </tr>
                            @endforeach
                        @endif

                        </tbody>
                    </table>
                    <div class="row">
                        <div class="col-sm-6">
                            <div class="dataTables_info" id="DataTables_Table_0_info"
                                 role="alert" aria-live="polite" aria-relevant="all">每页{{ $list->count() }}
                                条，共{{ $list->lastPage() }}页，总{{ $list->total() }}条。
                            </div>
                        </div>
                        <div class="col-sm-6">
                            <div class="dataTables_paginate paging_simple_numbers" id="DataTables_Table_0_paginate">
                                {!! $list->setPath('')->appends(Request::all())->render() !!}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection